package com.community.huiju.dao;

import com.community.huiju.model.TpShop;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TpShopMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpShop record);

    int insertSelective(TpShop record);

    TpShop selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpShop record);

    int updateByPrimaryKeyWithBLOBs(TpShop record);

    int updateByPrimaryKey(TpShop record);

    /**
     * 根据小区查询当前商铺
     * @param communityId
     * @return
     */
    List<TpShop> selectcommunityIdShop(@Param("communityId") Integer communityId,@Param("houseName") String houseName,@Param("tpShopTypeId")Integer tpShopTypeId);

    /**
     * 查询当前小区商铺是否展示
     * @param communityId
     * @return
     */
    String shopSetting(@Param("communityId") Integer communityId);

    /**
     * 查询当前小区下的所有商铺
     * @param communityId
     * @return
     */
    List<TpShop> selectShopCommunity(@Param("communityId") Integer communityId);
}